# AbiItem

The abi to parse the log object of the contract

## Properties

| Name                  | Type                                                                   | Description | Notes       |
| --------------------- | ---------------------------------------------------------------------- | ----------- | ----------- |
| **anonymous**         | **bool**                                                               |             | \[optional] |
| **constant**          | **bool**                                                               |             | \[optional] |
| **inputs**            | [**List\[AbiInput\]**](https://docs.usemoon.ai/sdks/python/abiinput)   |             | \[optional] |
| **name**              | **str**                                                                |             | \[optional] |
| **outputs**           | [**List\[AbiOutput\]**](https://docs.usemoon.ai/sdks/python/abioutput) |             | \[optional] |
| **payable**           | **bool**                                                               |             | \[optional] |
| **state\_mutability** | **str**                                                                |             | \[optional] |
| **type**              | **str**                                                                |             |             |
| **gas**               | **float**                                                              |             | \[optional] |

## Example

```python
from moonsdk.models.abi_item import AbiItem

# TODO update the JSON string below
json = "{}"
# create an instance of AbiItem from a JSON string
abi_item_instance = AbiItem.from_json(json)
# print the JSON string representation of the object
print AbiItem.to_json()

# convert the object into a dict
abi_item_dict = abi_item_instance.to_dict()
# create an instance of AbiItem from a dict
abi_item_form_dict = abi_item.from_dict(abi_item_dict)
```

[\[Back to Model list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-models) [\[Back to API list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-api-endpoints) [\[Back to README\]](https://docs.usemoon.ai/sdks/python)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/abiitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
